%ents; ]]> ]>

# Manual da &konsole;

Jonathan
Singer

    jsinger@genome.wi.mit.edu

Lars
Dölle
Desenvolvimento

    lars.doelle@on-line.de

Michael
McBride
Revisão

    mmcbride@ematic.com

Lauri
Watts
Revisão

    vampyr@atconnex.net

Nuno
Pinhão

    n.pinhao@mail.telepac.pt

Tradução
2000
Jonathan Singer
2000
Nuno Pinhão
&FDLNotice;
03/06/2000
0.09.15

Este documento é o manual de utilização da aplicação &konsole;.

&konsole; é um emulador de terminal X para o KDE 2.0

KDE
konsole
kdebase
comando
linha

## Introdução à &konsole;

&konsole; é um emulador de terminal X fornecendo uma interface de linha de comando (ILC) quando se está a usar o Ambiente Gráfico de Desktop K. A &konsole; facilita a organização da área de trabalho do utilizador mantendo sessões múltiplas numa única janela (isto é, uma área de trabalho menos "atafulhada").

Por entre as funcionalidades avançadas incluie-se a facilidade de configuração e a capacidade de usar múltiplas "shell"s de terminal numa única janela.

Através da &konsole; um utilizador pode iniciar:

- sessões de consola do Linux;

- sessões do gestor de ficheiros Midnight Commander;

- sessões de "shell";

- sessões de consola como "root";

O nome destas sessões pode ser mudado, ajudando à sua organização, ou podem ser-lhes enviados sinais (STOP, CONT, HUP, INT, TERM, KILL).

O utilizador pode controlar o aspecto da &konsole; através de:

- mostrar/esconder as barras de menus, ferramentas e/ou moldura;

- selecionar as dimensões da janela, a fonte, o esquema de cores e a tabela de chaves do teclado da &konsole;;

- alterar a posição da barra de deslizamento ou escondê-la.

Se forem guardadas, todas as opções alteradas podem passar a ser as opções utilizadas por defeito nas sessões posteriores.

### História

Para aqueles interessados na taxonomia dos terminais X livres, existem mais dois emuladores de terminais de destaque: o original, xterm, escrito mesmo antes do sistema X (um mês ou dois), e xvt, um clone do xterm e no qual a maior parte de outros emuladores actualmente disponíveis (em particular eterm) se vieram a basear.

Ao fim de uma década, &konsole; é a primeira reescrita completa de um emulador de terminal. Enquanto que a modificação do xterm foi definitivamente abandonada (o seu `README` inicia-se com a frase "Abandon All Hope, Ye Who Enter Here"), a &konsole; oferece uma nova abordagem usando as tecnologias e a visão contemporâneas do sistema X.

## Instalação

A &konsole; faz parte do pacote base do KDE 2.0. Será instalada automaticamente com a instalação do KDE e requer a sua versão 2.0 para funcionar.

Para mais informações deve visitar o web do KDE em http://www.kde.org/

Caso queira obter a &konsole; separadamente, ela faz parte do pacote kdebase e deve ser compilada e instalada como indicado na directoria principal de instalação do pacote. As novas versões do kdebase podem ser obtidas em ftp://ftp.kde.org/pub/

Comandos a executar para compilar a &konsole;:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Por fim, como root:
    #  make install

## Utilização da &konsole;

### Início

Quando invocada a &konsole; inicia uma aplicação (que por omissão é uma "shell" UNIX) activa na janela. O utilizador só tem que escrever na linha de comando.

### Historial

Se a opção "Historial" estiver activa, as linhas que desaparecem do ecran poderão ser novamente vistas movendo a barra de deslizamento para cima ou para baixo, ou usando as teclas ShiftPage Up (para andar para trás uma página), ShiftPage Down (para andar para a frente uma página), ShiftUp (para andar para trás uma linha) e ShiftDown (para andar para a frente uma linha).

### Botões do Rato

Esquerdo

  Se a aplicação activa no terminal aceitar sinais do rato, ao pressionar o botão esquerdo do rato esse sinal é-lhe transmitido. A &konsole; indica que um programa aceita sinais do rato mostrando um cursor na forma de seta. Caso contrário, é mostrado um cursor com a forma de um I (barra).

  Mantendo o botão esquerdo pressionado e arrastando o cursor sobre a janela numa aplicação que aceite sinais do rato, marcará uma região de texto. Enquanto arrastar o cursor, tem informação visual do texto marcado, sendo este mostrado em cor invertida. Quando o botão é libertado, o texto selecionado é copiado para a área de transferência para uso posterior na &konsole; ou noutra aplicação.

  Normalmente, são inseridos caracteres de mudança de linha no fim de cada linha selecionada. Este procedimento é o mais adequado para "cortar e colar" código fonte, ou o resultado de um comando. Para texto corrente, as mudança de linha não são em geral importantes. No entanto pode preferir que o texto seja uma sequência contínua de caracteres que sejam automaticamente re-formatados quando passados para outra aplicação. Para selecionar este modo de sequência contínua de texto, mantenha pressionado a tecla Ctrl enquanto marca texto.

  Se as margens superior ou inferior do texto forem tocadas enquanto estiver a proceder à marcação, a &konsole; deslizará o texto para cima ou para baixo, expondo texto da àrea de "história". Esse deslizamento para quando o rato para.

  Após o botão do rato ser libertado, a &konsole; tenta manter o texto passado para a área de transferência visível mantendo o texto marcado em cor invertida. A área marcada volta à cor normal assim que o conteúdo da área de transferência é alterado, o texto na área marcada é modificado ou o botão esquerdo é pressionado.

  Para marcar texto numa aplicação que aceite sinais do rato, a tecla Shift tem de ser pressionada em simultâneo com o botão do rato.

Central

  Pressionando o botão central o texto presente na área de transferência é inserido.

  Se tiver um rato só com dois botões, pressionando ambos os botões esquerdo e direito em simultâneo simula-se o botão central de um rato com três botões.

Direito

  O botão direitoactiva o menu "Opções". A combinação Ctrl + botão direito faz aparecer o menu "Ficheiro", enquanto que a combinação Shift + botão direito button activa o menu "Sessões".

### Barra de Menu

A barra de menu apresenta-se no topo da janela da &konsole;. Pode ser escondida ou tornada visível comutando a opção "Mostrar Barra de Menu" do menu "Opções". Quando o menu está escondido, a opção "Mostrar Barra de Menu" pode ser activada pressionando o botão direito do rato sobre a janela.

#### O menu Ficheiro

Ficheiro Consola do Linux

  Abre uma nova sessão emulando um sistema Linux só em modo de texto.

  (Consulte o documento `README.linux.console` para informações detailhadas em como a consola de Linux difere de uma consola típica de UNIX.)

Ficheiro Midnight Commander

  Abre uma nova sessão com o navegador gráfico de ficheiros Midnight Commander.

Ficheiro Shell

  Abre uma nova sessão com uma "shel" de terminal.

Ficheiro Consola de root

  Abre uma nova sessão com uma "shell" de terminal, como utilizador "root".

  Após ser pedida a palavra-chave de "root", aparece a "prompt" #, indicando que o utilizador tem privilégios de "root". Isto é frequentemente necessário para instalar novo software ou outras operações de manutenção do sistema, mas deve-se cuidados acrescidos para evitar danos acidentais.

Ficheiro Sair

  Sai da &konsole;, encerrando todas as sessões e qualquer aplicação lançada a partir destas.

#### O Menu Sessões

Sessões Envia Sinal

  Envia Sinal - Envia o sinal indicado ao processo da "shell", ou a outro processo que tenha sido lançado quando a nova sessão foi iniciada.

  Os sinais disponíveis são:

  Stop | - | para o processo
  Cont | - | continua se parado
  HUP | - | hangup detectado no terminal de controlo, ou fim do processo de controlo
  Int | - | interrupção proveniente do teclado
  Term | - | sinal de términus
  Kill | - | sinal de fim

  Consulte as páginas do manual do seu sistema para mais detalhes dando o comando `man 7 signal`

Sessões Mudar o nome da Sessão

  Muda o nome da sessão activa

Opções Icons da sessão...

  Na base do menu é indicada uma lista das sessões disponíveis. Selecionando uma, activa essa sessão.

#### O menu Opções

Opções Mostra a barra de menu

  Mostra ou esconde a barra de menu

Opções Mostra a barra de ferramentas

  Mostra ou esconde a barra de ferramentas

Opções Mostra a moldura

  Mostra ou esconde a moldura em torno da janela

Opções Barra de deslizamento

  Controla a localização da barra de deslizamento: nenhuma, à esquerda ou à direita

Opções Ecran completo

  Comuta a janela entre o ecran completo e o tamanho normal

Option Tamanho

  Define o tamanho da àrea de texto (indicado em colunas x linhas)

Opções Letra

  Define a dimensão da letra

Opções Esquema

  Controla a cor do texto e do fundo

Opções Historial

  Comuta a opção de guardar as linhas que saíram dos limites da janela

Opções Codec

  Ainda não implementado

Opções Teclado

  Seleciona o mapa de teclado desejado

Opções Guarda as Opções

  Guarda a selecção corrente de opções como os novos valores por defeito

#### O menu de Ajuda

Ajuda Assuntos

  Mostra o índice de assuntos deste documento

Ajuda Referência Técnica

  Informação detalhada sobre a emulação de terminal e a &konsole;

Ajuda Relatório de Erro

  Apresenta um relatório de erro ou a sugestão de uma nova funcionalidade para a &konsole;

Ajuda Sobre a Konsole

  Informações sobre o autor da &konsole;

Ajuda Sobre o KDE

  Informações sobre o projecto KDE

### A barra de ferramentas

A barra de ferramentas localiza-se na base da janela da &konsole;.

Pode ser escondida e reactivada comutando a opção "Mostrar a barra de ferramentas" do menu "Opções" ou pressionando a "handle" no lado da barra. A barra contem um ícone "Nova" e ícones para a sessão corrente. Pressionando "Nova" abre uma nova sessão de "Shell".

Pressionando o ícone de uma sessão já existente torna-a activa.

### Opções da linha de comando

Quando a &konsole; é iniciada a partir da linha de comando, podem ser indicadas diversas opções para alterar o seu comportamento habitual.

`--help`

  lista as opções disponíveis

`--name`

  Altera o nome que surge na barra de título

`--ls`

  Inicia uma shell de login

`--nowelcome`

  Omite a mensagem de "Bemvindo à &konsole;" que normalmente aparece na barra de título

`--nohist`

  Desactiva a função de historial das linhas que saiem da área activa da janela.

`--vt_sz CCxLL`

  Mostra uma janela de terminal com CC colunas e LL linhas

`-e <command>`

  Executa a instrução <command> em vez da "shell"

Exemplo:

    bash$ konsole --vt_sz 90x25 --nohist

Mostra uma janela da &konsole; com 90 colunas e 25 linhas, sem a função de historial

A &konsole; também aceita opções genéricas do QT de do KDE:

`--author`

  Mostra o(s) nome(s) do(s) autor(es)

`--V`

  Mostra o número da versão

`--help-qt`

  Lista as opções específicas do Qt

`--help-kde`

  Lista as opções específicas do KDE

`--help-all`

  Lista todas as opções

## Créditos e Copyright

A aplicação &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Este documento foi escrito por Jonathan Singer jsinger@genome.wi.mit.edu

Convertido para o DocBook SGML por Michael McBride mmcbride@ematic.com e Lauri Watts vampyr@atconnex.net

&underFDL; &underGPL;